Skip to main content
GET
List nodes

Authorizations

Authorization
string
header
default:Bearer uk_live_your_api_key_here
required

Versuno API key. Must be prefixed with Bearer. Format: Bearer uk_live_...

Path Parameters

id
string<uuid>
required

ID of the brain.

containerId
string<uuid>
required

ID of the container.

Response

Array of node previews.

id
string<uuid>

Unique identifier for the node.

Example:

"f6a7b8c9-d0e1-2345-f012-678901234567"

summary
string | null

Short AI-generated summary of the node, or null.

Example:

"Explains how to create dynamic route segments."

canonical
string | null

Canonical title/identifier of the node, or null.

Example:

"app-router-dynamic-routes"

containerId
string<uuid> | null

ID of the container this node belongs to, or null.

Example:

"e5f6a7b8-c9d0-1234-ef01-567890123456"

parentId
string<uuid> | null

ID of the parent node, or null.

Example:

null

type
string

Node type (e.g. page, chunk).

Example:

"page"